## javax.media.opengl
Class AWTGraphicsDevice

    java.lang.Object
      javax.media.opengl.AWTGraphicsDevice

All Implemented Interfaces:
  AbstractGraphicsDevice

    public class AWTGraphicsDevice

extends Object
implements AbstractGraphicsDevice

A wrapper for an AWT GraphicsDevice allowing it to be handled in a toolkit-independent manner.

Constructor Summary
`AWTGraphicsDevice(GraphicsDevice device)`

Method Summary
`GraphicsDevice` `getGraphicsDevice()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTGraphicsDevice

    public AWTGraphicsDevice(GraphicsDevice device)

Method Detail

### getGraphicsDevice

    public GraphicsDevice getGraphicsDevice()

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.